(*  Title: 	ZF/ROOT
    Author: 	Lawrence C Paulson, Cambridge University Computer Laboratory
    Copyright   1991  University of Cambridge

Adds Zermelo-Fraenkel Set Theory to a database containing First-Order Logic.

This theory is the work of Martin Coen, Philippe Noel and Lawrence Paulson.
*)

writeln"Root file for ZF Set Theory";

print_depth 1;
use "syntax.ML";
use "rules.ML";
use "lemmas.ML";
use "upair.ML";
use "subset.ML";
use "pair.ML";
use "domrange.ML";
use "func.ML";
use "simpdata.ML";  
print_depth 6;

(* Set up automatic printing -- works in Poly/ML only *)
install_pp (K print_thm);   (*theorems*)
install_pp (K prin);        (*terms -- requires a proof state!*)

